Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86568 - prelink rebuild fails on undelcared R_390_TLS_ values
Summary: prelink rebuild fails on undelcared R_390_TLS_ values
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: prelink
Version: 1.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 20:19 UTC by Ken MacFarlane
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-26 13:52:11 UTC


Attachments (Terms of Use)

Description Ken MacFarlane 2003-03-25 20:19:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
rpmbuild --rebuild prelink-0.2.0-18 produces the following error:

gcc -D_GNU_SOURCE -DHAVE_CONFIG_H -Wall -I. -I. -I.. -I../gelfx   -Wall -O2 -g
-march=i386 -mcpu=i686 -c `test -f 'arch-s390.c' || echo './'`arch-s390.c
arch-s390.c: In function `s390_prelink_rela':
arch-s390.c:137: `R_390_TLS_DTPOFF' undeclared (first use in this function)
arch-s390.c:137: (Each undeclared identifier is reported only once
arch-s390.c:137: for each function it appears in.)
arch-s390.c:142: `R_390_TLS_DTPMOD' undeclared (first use in this function)
arch-s390.c:150: `R_390_TLS_TPOFF' undeclared (first use in this function)
arch-s390.c: In function `s390_prelink_conflict_rela':
arch-s390.c:253: `R_390_TLS_DTPMOD' undeclared (first use in this function)
arch-s390.c:254: `R_390_TLS_TPOFF' undeclared (first use in this function)
arch-s390.c:266: `R_390_TLS_DTPOFF' undeclared (first use in this function)
arch-s390.c: In function `s390_undo_prelink_rela':
arch-s390.c:435: `R_390_TLS_DTPMOD' undeclared (first use in this function)
arch-s390.c:436: `R_390_TLS_DTPOFF' undeclared (first use in this function)
arch-s390.c:437: `R_390_TLS_TPOFF' undeclared (first use in this function)
arch-s390.c: In function `s390_reloc_class':
arch-s390.c:467: `R_390_TLS_DTPMOD' undeclared (first use in this function)
arch-s390.c:468: `R_390_TLS_DTPOFF' undeclared (first use in this function)
arch-s390.c:469: `R_390_TLS_TPOFF' undeclared (first use in this function)
make[2]: *** [arch-s390.o] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/prelink/src'


Version-Release number of selected component (if applicable):
prelink-0.2.0-18

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild prelink-0.2.0-18.src.rpm
    

Actual Results:  see description

Expected Results:  successfuil build

Additional info:

Comment 1 Jakub Jelinek 2003-03-26 13:52:11 UTC
Your installed glibc-devel is too old.

Comment 2 Ken MacFarlane 2003-03-26 16:05:51 UTC
Using glibc-devel-2.3.1-36.  If that version is too old, perhaps the package
needs  to add glibc-devel of the correct version as a dependency?


Note You need to log in before you can comment on or make changes to this bug.